Prusa i3 en Kubuntu 14.04



  • Hola,

    Me gustaría ser un feliz usuario de una Prusa i3 de bq, pero me asalta una duda que no he sabido con seguridad si estaría bien puesta aquí.

    Quería saber si podré imprimir con Kubuntu 14.04. Este es mi sistema operativo y no trabajo con ningún otro, así que antes de aventurarme a comprar la Prusa, necesitaría saberlo.

    Gracias a todos!



  • Bienvenido @18turbo 😉

    En principio tanto la impresora como varios laminadores son totalmente compatibles con sistemas Linux. No te puedo garantizar que funcione con este sistema dado que no lo hemos probado. 


    Con la impresora podrás imprimir a través de SD, por lo que no necesitarás conectar la máquina en todo momento con el ordenador. Solo necesitarás que el laminador te funcione y puedas guardar el Gcode en la tarjeta SD. Prueba a descargar el laminador Cura y ver que tal te va con el sistema. 😉

    De todos modos, si tienes cualquier complicación dilo e intentamos conseguir este SO.



  • sgruben dijo:
    Bienvenido @18turbo 😉

    En principio tanto la impresora como varios laminadores son totalmente compatibles con sistemas Linux. No te puedo garantizar que funcione con este sistema dado que no lo hemos probado. 


    Con la impresora podrás imprimir a través de SD, por lo que no necesitarás conectar la máquina en todo momento con el ordenador. Solo necesitarás que el laminador te funcione y puedas guardar el Gcode en la tarjeta SD. Prueba a descargar el laminador Cura y ver que tal te va con el sistema. 😉

    De todos modos, si tienes cualquier complicación dilo e intentamos conseguir este SO.


    Lo primero, muchas gracias por la contestación sgruben 😉

    Justo de lo que me has dicho viene el problema. Sé que con sólo pasar el fichero a la SD me imprimiría. Pero no consigo instalar Cura en mi S.O. y no hay instrucciones que haya encontrado en Internet que me digan con claridad cómo instalarlo en mi sistema operativo. En teoría es exactamente el mismo S.O. que Ubuntu 14.04 pero con el escritorio KDE. Cualquier cosa que se instale en Ubuntu 14.04 puedo instalarlo y funciona exactamente igual en Kubuntu 14.04.

    ¿Alguien podría decirme cómo instalar Cura en Kubuntu 14.04 o en Ubuntu 14.04? ¿Qué versión de Cura debería instalar?

    Gracias por la atención y por la bienvenida.



  • Cura está desarrollado en python. ¿Sabes si lo tienes instalado?. Pásanos el fallo que te da y lo revisamos. Voy a intentar, no prometo nada jeje,  conseguir un Kubuntu 14.04 e intento reproducir el fallo ;).




  • sgruben dijo:
    Cura está desarrollado en python. ¿Sabes si lo tienes instalado?. Pásanos el fallo que te da y lo revisamos. Voy a intentar, no prometo nada jeje,  conseguir un Kubuntu 14.04 e intento reproducir el fallo ;).


    El error que lanza si intento instalar Cura 15.06.03 es que no se pueden satisfacer las dependencias.

    Sí, tengo Python instalado, aunque no quita que otro paquete de Python no
    lo tenga. ¡Ojalá tuviera una lista de los paquetes de dependencias para
    instalar Cura!.

    Lo que me tiene intranquilo es que en la web
    oficial de Cura, cuando te metes en la versión última para descargar,
    especifica que el programa es compatible con Ubuntu 15.06, pero no
    especifica nada de Ubuntu 14 (que por otro lado es la versión oficial de
    soporte de larga duración).

    Por todo lo anterior, preguntaba qué versión de Cura debo instalar.

    No me gustaría hacerte pasar por instalar Kubuntu 14.04 sólo para que me
    ayudes a mí. Con que me orientes, estoy más que satisfecho por la ayuda
    😉

    GRACIAS!!!



  • Ok,

    Acabo de ver todas las dependencias al instalarlo por consola y resolver varios errores con una versión de Cura Engine instalada.

    Espero resolverlo.

    En cualquier caso volveré a escribir tanto si lo he conseguido como si no. 😉

    S2



  • Vale,

    el problema está en que en los repositorios oficiales de Ubuntu 14 para Python da una versión menor que la necesaria para instalar Cura. La salida es la siguiente:

    Unpacking cura (15.06.03) ...
    dpkg: problemas de dependencias impiden la configuración de cura:
     cura depende de python3-pyqt5 (>= 5.4.0); sin embargo:
      La versión de python3-pyqt5' en el sistema es 5.2.1+dfsg-1ubuntu1.<br>&nbsp;cura depende de python3-pyqt5.qtopengl (&gt;= 5.4.0); sin embargo:<br>&nbsp; La versión depython3-pyqt5.qtopengl' en el sistema es 5.2.1+dfsg-1ubuntu1.
     cura depende de python3-pyqt5.qtquick (>= 5.4.0); sin embargo:
      La versión de python3-pyqt5.qtquick' en el sistema es 5.2.1+dfsg-1ubuntu1.<br>&nbsp;cura depende de python3-pyqt5.qtsvg (&gt;= 5.4.0); sin embargo:<br>&nbsp; El paquetepython3-pyqt5.qtsvg' no está instalado.
     cura depende de qml-module-qtquick2 (>= 5.4.0); sin embargo:
      El paquete qml-module-qtquick2' no está instalado.<br>&nbsp;cura depende de qml-module-qtquick-window2 (&gt;= 5.4.0); sin embargo:<br>&nbsp; El paqueteqml-module-qtquick-window2' no está instalado.
     cura depende de qml-module-qtquick-layouts (>= 5.4.0); sin embargo:
      El paquete `qml-module-qtquick-layouts' no está instalado.
     cura depende de qml-module-qtquick-dialogs (>= 5.4
    dpkg: error al procesar el paquete cura (--install):
     problemas de dependencias - se deja sin configurar
    Processing triggers for mime-support (3.54ubuntu1.1) ...
    Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
    Se encontraron errores al procesar:
     cura


    ¿Cómo instalo las versiones de Python que necesito para Cura desde Kubuntu 14.04? ¿Se puede?



  • Yo creo que tienes una versión antigua de python y es por ello donde puede venir el problema. ¿Has probado a actualizar las dependencias? (Sudo apt-get update & upgrade). Según lo que te indica la terminal parece que viene de esa parte. 


    ¿Has probado con una versión anterior de Cura?. Prueba con la 15.02 o la 14.09 para ver que resultados te da. En la última versión Cura ha cambiado demasiado.



  • sgruben dijo:
    Yo creo que tienes una versión antigua de python y es por ello donde puede venir el problema. ¿Has probado a actualizar las dependencias? (Sudo apt-get update & upgrade). Según lo que te indica la terminal parece que viene de esa parte. 

    ¿Has probado con una versión anterior de Cura?. Prueba con la 15.02 o la 14.09 para ver que resultados te da. En la última versión Cura ha cambiado demasiado.
    ¡¡¡ INSTALADO!!!

    Sí, tengo todo actualizado pero la versión máxima que ofrece Kubuntu 14.04 no es suficiente para la nueva versión 15.06 de Cura.

    Siguiendo tu consejo me descargué Cura 15.02 (paquete Debian 64 bits) y lo he instalado sin la más mínima complicación. 😉

    Gracias por ayudarme , ya tengo la certeza de que adquiriré pronto una Prusa i3 de bq :D, sabiendo que funciona Cura en Kubuntu 14.04 sin problemas .

    Un saludo
      :-h


  • Bueno, ya compré mi Prusa i3 y la tengo montada, pero (y siguiendo un poco con el hilo que abrí en su día), teniendo en cuenta que ya tengo los perfiles de la Prusa cargados:

    ¿qué máquina debo poner en la configuración de Cura? ¿la Witbox?

    Es que no da la opción de la Prusa i3 Hephestos...

    Espera que me puedan ayudar.

    Gracias de nuevo.



  • Buenas @18turbo:


    En Cura (desde la 15.04, que yo sepa) sí debería aparecer esta impresora, lo único es que no aparece como Prusa i3 Hephestos, sino sencillamente como Hephestos.

    Descarga la última versión (15.04.4) y compruébalo.



  • Sí, pero yo instalé Cura 15.02 porque la 15.04 tenía problemas y no podía instalarla en Kubuntu 14.04.

    Si me pudiese indicar alguien qué parámtetros cambiar o qué hacer (o algún enlace donde lo ponga), lo agradecería mucho.

    Gracias y saludos



  • En ese caso te aconsejo que, en primer lugar, en efecto, selecciones Witbox como impresora. Después descarga los perfiles de impresión de Prusa i3 Hephestos desde aquí para dejar los parámetros a punto de caramelo (dependiendo de la calidad que necesites): http://www.bq.com/es/support/prusa


    Finalmente, ve a Machine > Machine settings, para editar el volumen de impresión, y déjalo como te indico a continuación:

    - Maximum width (mm): 215
    - Maximum depth (mm): 210
    - Maximum height (mm): 180



  • Muchísimas gracias.

    En breve lo pruebo.

    Gracias por vuestra labor de ayuda 😉



  • Para que quede constancia, con las nuevas actualizaciones de Kubuntu, ahora funciona perfecto la versión 15.04.4 de Cura.

    Espero que alguien le pueda ayudar.

    Saludos